<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Multi Step</title>
    <link rel="stylesheet" href="./style.css" />
    <link rel="stylesheet" href="./animation.css" />
    <style>
      #complete {
        display: none;
      }

      #complete.show {
        display: block;
      }
    </style>
  </head>
  <body>
    <button onclick="showComplete()">Show</button>
    <div class="container">
      <div class="circle-loader load-complete" id="complete">
        <div class="checkmark draw"></div>
      </div>
    </div>

    <main>
      <div class="new__bot-wrapper">
        <div class="modal__header-wrapper">
          <div class="modal__header-title">
            <h1 class="modal__header-title-text">新增群組機器人</h1>
            <div class="modal__header-title-close">
              <i class="icon-close"></i>
            </div>
          </div>
          <div class="modal__header-progress">
            <ul class="modal__header-breadcrumbs">
              <li class="modal__header-breadcrumbs__item">
                <div class="modal__header-breadcrumbs__element">1</div>
              </li>
              <li class="modal__header-breadcrumbs__item">
                <div class="modal__header-breadcrumbs__element">2</div>
              </li>
              <li class="modal__header-breadcrumbs__item">
                <div class="modal__header-breadcrumbs__element">
                  <span class="done"></span>
                </div>
              </li>
            </ul>
          </div>
        </div>

        <div class="modal__body-wrapper">
          <form
            id="modal-body-form"
            class="modal__body-form-wrapper"
            novalidate
          >
            <!-- Step One BEGIN -->
            <fieldset class="single-input-box modal__body-step">
              <input
                type="text"
                name="Token"
                placeholder="Bot Token*"
                data-label="Bot Token"
                data-validation="required"
              />

              <input
                class="modal__body-button"
                type="button"
                value="下一步"
                onclick="next()"
              />
            </fieldset>
            <!-- Step One END -->

            <!-- Step Two BEGIN -->
            <fieldset class="single-input-box modal__body-step">
              <div class="telegram__group__">Dropdown</div>

              <input
                class="modal__body-button modal__body-button--negative"
                type="button"
                value="上一步"
                onclick="back()"
              />
              <input
                id="submit"
                class="modal__body-button"
                type="submit"
                value="確定"
              />
            </fieldset>
            <!-- Step Two END -->

            <section class="modal__body-result modal__body-step">
              <h4 class="modal__body-result__title">新增機器人成功</h4>

              <div id="results"></div>

              <input
                class="modal__body-button modal__body-result__button"
                type="button"
                value="關閉"
                onclick="init()"
              />
            </section>
          </form>
        </div>
      </div>
    </main>

    <script src="./script.js"></script>
    <script>
      function showComplete() {
        let completeWrapper = document.getElementById("complete");
        if (completeWrapper.classList.contains("show")) {
          completeWrapper.classList.remove("show");
        } else {
          completeWrapper.classList.add("show");
        }
      }
    </script>
  </body>
</html>
